/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * NoThermostat.cpp
 *
 *  Created on: Aug 20, 2010
 *      Author: crueger
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "NoThermostat.hpp"

NoThermostat::NoThermostat()
{}

NoThermostat::~NoThermostat()
{}

const char *ThermostatTraits<NoThermostat>::name = "None";

std::string ThermostatTraits<NoThermostat>::getName(){
  return ThermostatTraits<NoThermostat>::name;
}

Thermostat *ThermostatTraits<NoThermostat>::make(class ConfigFileBuffer * const fb){
  return new NoThermostat();
}

double NoThermostat::scaleAtoms(unsigned int step,double ActualTemp,ATOMSET(std::list) atoms){
  return 0;
}

double NoThermostat::scaleAtoms(unsigned int step,double ActualTemp,ATOMSET(std::vector) atoms){
  return 0;
}

double NoThermostat::scaleAtoms(unsigned int step,double ActualTemp,ATOMSET(std::set) atoms){
  return 0;
}

std::string NoThermostat::name(){
  return ThermostatTraits<NoThermostat>::name;
}

std::string NoThermostat::writeParams(){
  return "";
}
